package com.ydl.audioim.http.command

import com.ydl.ydlcommon.data.http.BaseCommand


/**
    连接异常请求bean
 */
data class ConnectExceptionCommand(
    var noticeId: String,  // 秒级
    var productId: String, // 2
    var eventType: String, // 99
    var payload: PayLoad
) : BaseCommand()

data class PayLoad(
    var channelName: String, // 房间id
    var ts: String, // 秒级
    var uid: String,
    var platform: String,
    var reason: String,
    var message: String
)