package com.ydl.confide.home.bean

import com.ydl.audioim.bean.ExpertInfoBean


/**
 * 倾诉连接响应数据
 */
class ConfideConnectResponse{

    var dialDetail : DialDetail? = null
    var listenOrderId : Long? = 0 //订单ID
    var callId : String? = null //
    var payId : String?=null //支付ID
    var payTitle : String? = null //支付标题
    var listenOrderPrice : Double? = null //订单金额
    var userBaseInfoRespDto : UserBaseInfoRespDto?=null
    var coupon :CouponData? = null //优惠信息
}

class DialDetail{
    var agoraExpertInfo: ExpertInfoBean? = null
    var callConnectType :Int ? = null
    var dialReason : String? = null //连接失败原因
    var dialStatus : Int? = null //连接状态
    var phoneNu : String ?= null //axb号码
}

class UserBaseInfoRespDto{
    var availableMoney : Double ? = null
    var companyMoney : Double ? = null
    var doctorId : Long ? = null
    var phone : Long ? = null
    var userType : String?=null
}

class CouponData{
    var couponMoney:Double? = 0.00
}