package com.yidianling.home.event

import android.support.v7.widget.RecyclerView
import android.widget.ImageView
import android.widget.RelativeLayout
import com.yidianling.home.model.bean.*
import com.yidianling.home.ui.view.CouponDialog

/**
 * @author <a href="https://www.jianshu.com/u/c1e5310dd724">xujian</a>
 * @描述: 首页点击事件接口类
 * @Copyright Copyright (c) 2019
 * @Company 壹点灵
 * @date 2019/02/13
 */
interface IHomeEvent {

    /**
     * 点击优惠券确定事件
     */
    fun clickEnsure(list: List<CouponBean>): CouponDialog.OnClickEnsureListener


    /**
     * 咨询师音频点击播放
     */
    fun confidePlayClick(voiceView:ImageView,bean: HomeConfideBean.BodyBean)
}