package com.ydl.ydlcommon.base.config

import android.support.annotation.StringDef

/**
 * Created by haorui on 2019-08-30.
 * Des:
 */
object YDLConstants {

    /**
     * 网络请求中的占位参数名称
     * 用于某些请求中不需要参数时，传入一个假的参数
     */
    const val HOLDER_PARAM = "holder_param"
    // activity 跳转时传递数据的 bundle 的名称
    const val BUNDLE = "bundle"

    const val FROM_YDL = "yidianling"
    const val FROM_XLZX = "xinlizixun"

    //自定义注解，限制入参类型
    @StringDef(FROM_YDL, FROM_XLZX)
    annotation class AppFrom


    const val ENV_TEST = "test"
    const val ENV_AUTO_TEST = "auto_test"
    const val ENV_PROD= "prod"

    @StringDef(ENV_TEST, ENV_AUTO_TEST,ENV_PROD)
    annotation class AppEnv


}
